# Uses of Class
org.apache.sling.servlethelpers.internalrequests.SlingInternalRequest

Packages that use SlingInternalRequest
Package
Description
org.apache.sling.servlethelpers.internalrequests
Helpers for internal Sling requests

## Uses of SlingInternalRequest in org.apache.sling.servlethelpers.internalrequests

Methods in org.apache.sling.servlethelpers.internalrequests that return SlingInternalRequest
Modifier and Type
Method
Description
`SlingInternalRequest`
SlingInternalRequest.`withResourceSuperType(String resourceSuperType)`
Deprecated.
Sets the sling:resourceSuperType of the fake Resource used to resolve the Script or Servlet used for the internal request
`SlingInternalRequest`
SlingInternalRequest.`withResourceType(String resourceType)`
Deprecated.
Sets the sling:resourceType of the fake Resource used to resolve the Script or Servlet used for the internal request